//
//  OptionalImageView.swift
//  SlipboxProject
//
//  Created by Karin Prater on 24.11.22.
//

import SwiftUI

struct OptionalImageView: View {
    
    let data: Data?
    
    var body: some View {
        
        if let data = data, let uiImage = UIImage(data: data) {
            Image(uiImage: uiImage)
                .resizable()
                .scaledToFit()
            
        } else {
            EmptyView()
        }
    }
}

/*
struct OptionalImageView_Previews: PreviewProvider {
    static var previews: some View {
        OptionalImageView()
    }
}
*/
